com.amazonaws.services.machinelearning.waiters

## Class DescribeMLModelsFunction

- java.lang.Object
- - com.amazonaws.services.machinelearning.waiters.DescribeMLModelsFunction

All Implemented Interfaces:
  SdkFunction<DescribeMLModelsRequest,DescribeMLModelsResult>

    public class DescribeMLModelsFunction
    extends Object
    implements SdkFunction<DescribeMLModelsRequest,DescribeMLModelsResult>

### Constructor Summary

Constructors
Constructor and Description
`DescribeMLModelsFunction(AmazonMachineLearning client)` Constructs a new DescribeMLModelsFunction with the given client

### Method Summary

All Methods Instance Methods Concrete Methods
`DescribeMLModelsResult` `apply(DescribeMLModelsRequest describeMLModelsRequest)` Makes a call to the operation specified by the waiter by taking the corresponding request and returns the corresponding result

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DescribeMLModelsFunction

    public DescribeMLModelsFunction(AmazonMachineLearning client)

Constructs a new DescribeMLModelsFunction with the given client

Parameters:
  `client` - Service client

### Method Detail

#### apply

    public DescribeMLModelsResult apply(DescribeMLModelsRequest describeMLModelsRequest)

Makes a call to the operation specified by the waiter by taking the corresponding request and returns the corresponding result

Specified by:
  `apply` in interface `SdkFunction<DescribeMLModelsRequest,DescribeMLModelsResult>`
Parameters:
  `describeMLModelsRequest` - Corresponding request for the operation
Returns:
  Corresponding result of the operation